Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.antlr
Class LexerFrame

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Window
                  java.awt.Frame
                      javax.swing.JFrame
                          org.codehaus.groovy.antlr.LexerFrame

All Implemented Interfaces:
  ActionListener

    class LexerFrame
    extends JFrame

author:
  Santhosh Kumar T

version:
  1.0

Field Summary
`Border` | `border1`
`Border` | `border2`
`JScrollPane` | `jScrollPane1`
`JScrollPane` | `jScrollPane2`
`JSplitPane` | `jSplitPane1`
`JButton` | `jbutton`
`Class` | `lexerClass`
`JPanel` | `mainPanel`
`JTextArea` | `scriptPane`
`JTextPane` | `tokenPane`
`Hashtable` | `tokens`

Fields inherited from class JFrame
EXIT_ON_CLOSE, DO_NOTHING_ON_CLOSE, HIDE_ON_CLOSE, DISPOSE_ON_CLOSE, EXIT_ON_CLOSE, DEFAULT_CURSOR, CROSSHAIR_CURSOR, TEXT_CURSOR, WAIT_CURSOR, SW_RESIZE_CURSOR, SE_RESIZE_CURSOR, NW_RESIZE_CURSOR, NE_RESIZE_CURSOR, N_RESIZE_CURSOR, S_RESIZE_CURSOR, W_RESIZE_CURSOR, E_RESIZE_CURSOR, HAND_CURSOR, MOVE_CURSOR, NORMAL, ICONIFIED, MAXIMIZED_HORIZ, MAXIMIZED_VERT, MAXIMIZED_BOTH, TOP_ALIGNMENT, CENTER_ALIGNMENT, BOTTOM_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, WIDTH, HEIGHT, PROPERTIES, SOMEBITS, FRAMEBITS, ALLBITS, ERROR, ABORT

Fields inherited from class Frame
DEFAULT_CURSOR, CROSSHAIR_CURSOR, TEXT_CURSOR, WAIT_CURSOR, SW_RESIZE_CURSOR, SE_RESIZE_CURSOR, NW_RESIZE_CURSOR, NE_RESIZE_CURSOR, N_RESIZE_CURSOR, S_RESIZE_CURSOR, W_RESIZE_CURSOR, E_RESIZE_CURSOR, HAND_CURSOR, MOVE_CURSOR, NORMAL, ICONIFIED, MAXIMIZED_HORIZ, MAXIMIZED_VERT, MAXIMIZED_BOTH, TOP_ALIGNMENT, CENTER_ALIGNMENT, BOTTOM_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, WIDTH, HEIGHT, PROPERTIES, SOMEBITS, FRAMEBITS, ALLBITS, ERROR, ABORT

Fields inherited from class Window
TOP_ALIGNMENT, CENTER_ALIGNMENT, BOTTOM_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, WIDTH, HEIGHT, PROPERTIES, SOMEBITS, FRAMEBITS, ALLBITS, ERROR, ABORT

Fields inherited from class Container
TOP_ALIGNMENT, CENTER_ALIGNMENT, BOTTOM_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, WIDTH, HEIGHT, PROPERTIES, SOMEBITS, FRAMEBITS, ALLBITS, ERROR, ABORT

Fields inherited from class Component
TOP_ALIGNMENT, CENTER_ALIGNMENT, BOTTOM_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, WIDTH, HEIGHT, PROPERTIES, SOMEBITS, FRAMEBITS, ALLBITS, ERROR, ABORT

Constructor Summary
`LexerFrame(Class lexerClass, Class tokenTypesClass)`

Method Summary
`void` | `actionPerformed(ActionEvent ae)`
`static void` | `main(String[] args)`

Methods inherited from class JFrame
remove, update, setLayout, getAccessibleContext, getGraphics, repaint, getRootPane, getTransferHandler, setTransferHandler, getContentPane, getDefaultCloseOperation, getGlassPane, getJMenuBar, getLayeredPane, isDefaultLookAndFeelDecorated, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setIconImage, setJMenuBar, setLayeredPane, remove, getState, setState, addNotify, removeNotify, setCursor, isResizable, setResizable, getMenuBar, setMenuBar, setUndecorated, getCursorType, getExtendedState, getFrames, getIconImage, getMaximizedBounds, getTitle, isUndecorated, setExtendedState, setMaximizedBounds, setTitle, setSize, setSize, getOwner, getLocale, show, isActive, dispose, hide, addPropertyChangeListener, addPropertyChangeListener, getListeners, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getMostRecentFocusOwner, isFocusCycleRoot, isShowing, postEvent, setFocusCycleRoot, createBufferStrategy, createBufferStrategy, getBufferStrategy, getInputContext, getToolkit, isFocusableWindow, reshape, setBounds, setBounds, setCursor, setMinimumSize, setVisible, pack, isAlwaysOnTopSupported, getWindows, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, getFocusableWindowState, getIconImages, getModalExclusionType, getOwnedWindows, getOwnerlessWindows, getWarningString, getWindowFocusListeners, getWindowListeners, getWindowStateListeners, isAlwaysOnTop, isAutoRequestFocus, isFocused, isLocationByPlatform, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, setAlwaysOnTop, setAutoRequestFocus, setFocusableWindowState, setIconImages, setLocationByPlatform, setLocationRelativeTo, setModalExclusionType, toBack, toFront, add, add, add, add, add, remove, list, list, print, removeAll, validate, invalidate, getLayout, layout, getComponent, getComponents, getComponentCount, getComponentAt, getComponentAt, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, locate, minimumSize, paint, paintComponents, preferredSize, printComponents, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusDownCycle, add, toString, getName, contains, contains, size, getLocation, getLocation, getParent, setName, list, list, list, getSize, getSize, resize, resize, isOpaque, disable, enable, enable, isValid, location, action, setLocation, setLocation, setLocale, setEnabled, isEnabled, show, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, removePropertyChangeListener, removePropertyChangeListener, getPropertyChangeListeners, getPropertyChangeListeners, dispatchEvent, getFont, getMousePosition, getPeer, getTreeLock, handleEvent, isDisplayable, isFocusOwner, isFocusable, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isVisible, requestFocus, transferFocus, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, createImage, createImage, createVolatileImage, createVolatileImage, enableInputMethods, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFontMetrics, getForeground, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getWidth, getX, getY, gotFocus, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDoubleBuffered, isFocusTraversable, isFontSet, isForegroundSet, keyDown, keyUp, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, requestFocusInWindow, setBackground, setComponentOrientation, setDropTarget, setFocusTraversalKeysEnabled, setFocusable, setForeground, setIgnoreRepaint, setMaximumSize, setPreferredSize, transferFocusBackward, transferFocusUpCycle, wait, wait, wait, hashCode, getClass, equals, notify, notifyAll

Methods inherited from class Frame
remove, getState, setState, addNotify, getAccessibleContext, removeNotify, setCursor, isResizable, setResizable, getMenuBar, setIconImage, setMenuBar, setUndecorated, getCursorType, getExtendedState, getFrames, getIconImage, getMaximizedBounds, getTitle, isUndecorated, setExtendedState, setMaximizedBounds, setTitle, setSize, setSize, getOwner, getLocale, show, isActive, dispose, hide, addPropertyChangeListener, addPropertyChangeListener, getListeners, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getMostRecentFocusOwner, isFocusCycleRoot, isShowing, postEvent, setFocusCycleRoot, createBufferStrategy, createBufferStrategy, getBufferStrategy, getInputContext, getToolkit, isFocusableWindow, reshape, setBounds, setBounds, setCursor, setMinimumSize, setVisible, pack, isAlwaysOnTopSupported, getWindows, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, getFocusableWindowState, getIconImages, getModalExclusionType, getOwnedWindows, getOwnerlessWindows, getWarningString, getWindowFocusListeners, getWindowListeners, getWindowStateListeners, isAlwaysOnTop, isAutoRequestFocus, isFocused, isLocationByPlatform, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, setAlwaysOnTop, setAutoRequestFocus, setFocusableWindowState, setIconImages, setLocationByPlatform, setLocationRelativeTo, setModalExclusionType, toBack, toFront, add, add, add, add, add, remove, remove, list, list, print, removeAll, update, validate, invalidate, getLayout, setLayout, layout, getComponent, getComponents, getComponentCount, getComponentAt, getComponentAt, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, locate, minimumSize, paint, paintComponents, preferredSize, printComponents, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusDownCycle, add, toString, getName, contains, contains, size, getLocation, getLocation, getParent, setName, list, list, list, getSize, getSize, resize, resize, isOpaque, disable, enable, enable, isValid, location, action, setLocation, setLocation, setLocale, setEnabled, isEnabled, show, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, removePropertyChangeListener, removePropertyChangeListener, getPropertyChangeListeners, getPropertyChangeListeners, dispatchEvent, getFont, getMousePosition, getPeer, getTreeLock, handleEvent, isDisplayable, isFocusOwner, isFocusable, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isVisible, requestFocus, transferFocus, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, createImage, createImage, createVolatileImage, createVolatileImage, enableInputMethods, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFontMetrics, getForeground, getGraphics, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getWidth, getX, getY, gotFocus, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDoubleBuffered, isFocusTraversable, isFontSet, isForegroundSet, keyDown, keyUp, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, repaint, requestFocusInWindow, setBackground, setComponentOrientation, setDropTarget, setFocusTraversalKeysEnabled, setFocusable, setForeground, setIgnoreRepaint, setMaximumSize, setPreferredSize, transferFocusBackward, transferFocusUpCycle, wait, wait, wait, hashCode, getClass, equals, notify, notifyAll

Methods inherited from class Window
setSize, setSize, getOwner, getLocale, show, isActive, dispose, hide, addPropertyChangeListener, addPropertyChangeListener, getListeners, addNotify, getAccessibleContext, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getMostRecentFocusOwner, isFocusCycleRoot, isShowing, postEvent, removeNotify, setFocusCycleRoot, createBufferStrategy, createBufferStrategy, getBufferStrategy, getInputContext, getToolkit, isFocusableWindow, reshape, setBounds, setBounds, setCursor, setMinimumSize, setVisible, pack, isAlwaysOnTopSupported, setIconImage, getWindows, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, getFocusableWindowState, getIconImages, getModalExclusionType, getOwnedWindows, getOwnerlessWindows, getWarningString, getWindowFocusListeners, getWindowListeners, getWindowStateListeners, isAlwaysOnTop, isAutoRequestFocus, isFocused, isLocationByPlatform, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, setAlwaysOnTop, setAutoRequestFocus, setFocusableWindowState, setIconImages, setLocationByPlatform, setLocationRelativeTo, setModalExclusionType, toBack, toFront, add, add, add, add, add, remove, remove, list, list, print, removeAll, update, validate, invalidate, getLayout, setLayout, layout, getComponent, getComponents, getComponentCount, getComponentAt, getComponentAt, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, locate, minimumSize, paint, paintComponents, preferredSize, printComponents, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusDownCycle, add, toString, getName, contains, contains, size, getLocation, getLocation, getParent, remove, setName, list, list, list, getSize, getSize, resize, resize, isOpaque, disable, enable, enable, isValid, location, action, setLocation, setLocation, setLocale, setEnabled, isEnabled, show, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, removePropertyChangeListener, removePropertyChangeListener, getPropertyChangeListeners, getPropertyChangeListeners, dispatchEvent, getFont, getMousePosition, getPeer, getTreeLock, handleEvent, isDisplayable, isFocusOwner, isFocusable, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isVisible, requestFocus, transferFocus, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, createImage, createImage, createVolatileImage, createVolatileImage, enableInputMethods, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFontMetrics, getForeground, getGraphics, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getWidth, getX, getY, gotFocus, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDoubleBuffered, isFocusTraversable, isFontSet, isForegroundSet, keyDown, keyUp, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, repaint, requestFocusInWindow, setBackground, setComponentOrientation, setDropTarget, setFocusTraversalKeysEnabled, setFocusable, setForeground, setIgnoreRepaint, setMaximumSize, setPreferredSize, transferFocusBackward, transferFocusUpCycle, wait, wait, wait, hashCode, getClass, equals, notify, notifyAll

Methods inherited from class Container
add, add, add, add, add, remove, remove, list, list, print, removeAll, update, validate, invalidate, getLayout, setLayout, layout, getComponent, getComponents, addPropertyChangeListener, addPropertyChangeListener, getListeners, getComponentCount, getComponentAt, getComponentAt, addContainerListener, addNotify, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getInsets, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, locate, minimumSize, paint, paintComponents, preferredSize, printComponents, removeContainerListener, removeNotify, setComponentZOrder, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusDownCycle, add, toString, getName, contains, contains, size, getLocation, getLocation, getParent, remove, setName, list, list, list, getSize, getSize, setSize, setSize, resize, resize, isOpaque, disable, enable, enable, isValid, location, action, setLocation, setLocation, setLocale, getLocale, setEnabled, isEnabled, show, show, hide, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, removePropertyChangeListener, removePropertyChangeListener, getPropertyChangeListeners, getPropertyChangeListeners, dispatchEvent, getAccessibleContext, getFocusCycleRootAncestor, getFont, getGraphicsConfiguration, getMousePosition, getPeer, getTreeLock, handleEvent, isDisplayable, isFocusOwner, isFocusable, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isVisible, postEvent, requestFocus, transferFocus, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, createImage, createImage, createVolatileImage, createVolatileImage, enableInputMethods, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFontMetrics, getForeground, getGraphics, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getToolkit, getWidth, getX, getY, gotFocus, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDoubleBuffered, isFocusTraversable, isFontSet, isForegroundSet, keyDown, keyUp, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, repaint, requestFocusInWindow, reshape, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusTraversalKeysEnabled, setFocusable, setForeground, setIgnoreRepaint, setMaximumSize, setMinimumSize, setPreferredSize, setVisible, transferFocusBackward, transferFocusUpCycle, wait, wait, wait, hashCode, getClass, equals, notify, notifyAll

Methods inherited from class Component
add, toString, getName, contains, contains, size, getLocation, getLocation, getParent, remove, setName, list, list, list, list, list, print, getSize, getSize, setSize, setSize, resize, resize, isOpaque, disable, enable, enable, update, isValid, location, action, setLocation, setLocation, setLocale, validate, getLocale, invalidate, setEnabled, isEnabled, layout, show, show, hide, addPropertyChangeListener, addPropertyChangeListener, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, removePropertyChangeListener, removePropertyChangeListener, getListeners, getPropertyChangeListeners, getPropertyChangeListeners, getComponentAt, getComponentAt, addNotify, applyComponentOrientation, areFocusTraversalKeysSet, deliverEvent, dispatchEvent, doLayout, getAccessibleContext, getAlignmentX, getAlignmentY, getFocusCycleRootAncestor, getFocusTraversalKeys, getFont, getGraphicsConfiguration, getMaximumSize, getMinimumSize, getMousePosition, getPeer, getPreferredSize, getTreeLock, handleEvent, isDisplayable, isFocusCycleRoot, isFocusOwner, isFocusable, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isVisible, locate, minimumSize, paint, postEvent, preferredSize, removeNotify, requestFocus, setFocusTraversalKeys, setFont, transferFocus, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, createImage, createImage, createVolatileImage, createVolatileImage, enableInputMethods, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFontMetrics, getForeground, getGraphics, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getToolkit, getWidth, getX, getY, gotFocus, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDoubleBuffered, isFocusTraversable, isFontSet, isForegroundSet, keyDown, keyUp, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, repaint, requestFocusInWindow, reshape, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusTraversalKeysEnabled, setFocusable, setForeground, setIgnoreRepaint, setMaximumSize, setMinimumSize, setPreferredSize, setVisible, transferFocusBackward, transferFocusUpCycle, wait, wait, wait, hashCode, getClass, equals, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### border1

    Border border1

### border2

    Border border2

### jScrollPane1

    JScrollPane jScrollPane1

### jScrollPane2

    JScrollPane jScrollPane2

### jSplitPane1

    JSplitPane jSplitPane1

### jbutton

    JButton jbutton

### lexerClass

    Class lexerClass

### mainPanel

    JPanel mainPanel

### scriptPane

    JTextArea scriptPane

### tokenPane

    JTextPane tokenPane

### tokens

    Hashtable tokens

Constructor Detail

### LexerFrame

    public LexerFrame(Class lexerClass, Class tokenTypesClass)

Method Detail

### actionPerformed

    public void actionPerformed(ActionEvent ae)

### main

    public static void main(String[] args)

Copyright © 2003-2009 The Codehaus. All rights reserved.